package com.biganto.visual.roompark.presentation.screen.splash

import com.biganto.visual.roompark.conductor.BigantoBasePresenter
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


class SplashScreenPresenter @Inject constructor()
    : BigantoBasePresenter<SplashScreen, SplashScreenViewState>() {


    override fun bindIntents() {
        val state = restoreStateObservable
        subscribeViewState(state.cast(SplashScreenViewState::class.java), SplashScreen::render)
    }

}