
import com.biganto.visual.roompark.di.dagger.AppComponent
import com.biganto.visual.roompark.di.dagger.PerScreen
import com.biganto.visual.roompark.presentation.screen.splash.SplashScreenController
import com.biganto.visual.roompark.presentation.screen.splash.SplashScreenPresenter
import dagger.BindsInstance
import dagger.Component

//package com.biganto.visual.roompark.presentation.screen.splash
//
//import com.biganto.visual.roompark.di.dagger.AppComponent
//import com.biganto.visual.roompark.di.dagger.PerScreen
//import dagger.Component
//import dagger.Provides
//
///**
// * Created by Vladislav Bogdashkin on 30.09.2019.
// */
//
//@PerScreen
//@Component(dependencies = [AppComponent::class])
//interface SplashComponent {
//    @Provides
//    fun presenter(): SplashScreenPresenter
//}
//


@PerScreen
@Component( dependencies = [AppComponent::class])
interface SplashScreenComponent {


//    fun baseComponent(@BindsInstance appComponent:AppComponent):AppComponent

    @Component.Factory
    interface Factory{
        fun create(
            appComponent: AppComponent,
            @BindsInstance splashView:SplashScreenController
        ):SplashScreenComponent
    }

    val presenter: SplashScreenPresenter
//    val roomParkActivity: RoomParkMainActivity
//    val snackBar : ISnackBarProvider


}
//
//@Module
//abstract class  SplashScreenModule{
//
//
//    @PerScreen
//    @Binds
//    abstract fun presenter(presenter:SplashScreenPresenter):SplashScreenPresenter
//
////    fun snack(activity:RoomParkMainActivity) : ISnackBarProvider
//}